Bug 218586 - [ml_IN] 0d2f+0d4d combination is invaild when put in word
[ml_IN] 0d2f+0d4d combination is invaild when put in word
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n, Patch
Depends On: 217010
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 02:13 EST by Parag Nemade
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: fonts-malayalam-2.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 00:32:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2006-12-06 02:13:08 EST
+++ This bug was initially created as a clone of Bug #217010 +++

Description of problem:
when type above characters, those are combined,when used in a Word, but
behave normal when  used alone. Alone behavior is ok

Version-Release number of selected component (if applicable):
pango-1.14.6-3.el5

How reproducible:
Everytime during using in Word

Steps to Reproduce:
1. open gedit, type following unicode
2. 0d1f+0d48+0d2f+0d4d  and (case 1) 
3.0d2f+0d4d ( in next line) (case 2)
4. check Case 1
  
Actual results:
last character combined in case 1

Expected results:
last character should be like case 2

Additional info:
Check above data by put it in kedit/kate

-- Additional comment from lizhang@redhat.com on 2006-11-29 03:44 EST --
This bug is the bug of fonts-indic-2.0.9, not the bug of pango.

-- Additional comment from lizhang@redhat.com on 2006-11-29 03:46 EST --
I wrote a patch for this bug and bug217012.
The patch is:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=142370

-- Additional comment from pnemade@redhat.com on 2006-11-29 05:23 EST --
I have tested this patch and its working fine.
Thanks LingNing for patch.

-- Additional comment from pnemade@redhat.com on 2006-12-01 01:53 EST --
Kindly test fix against fonts-indic-2.0.10 package

Note You need to log in before you can comment on or make changes to this bug.